Bug 837666 - Review Request: php-doctrine-DoctrineCommon - Doctrine Common PHP Extensions
Review Request: php-doctrine-DoctrineCommon - Doctrine Common PHP Extensions
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 517641
Blocks: 837668 837669
  Show dependency treegraph
 
Reported: 2012-07-04 12:14 EDT by Shawn Iwinski
Modified: 2013-01-11 19:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-27 22:48:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (36.28 KB, text/plain)
2012-12-16 02:21 EST, Remi Collet
no flags Details
php-doctrine-DoctrineCommon-review.txt (7.12 KB, text/plain)
2012-12-16 02:22 EST, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2012-07-04 12:14:04 EDT
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-doctrine-DoctrineCommon.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-doctrine-DoctrineCommon-2.2.2-1.fc17.src.rpm

Description:
The Doctrine Common project is a library that provides extensions to core
PHP functionality.

Fedora Account System Username: siwinski
Comment 1 Shawn Iwinski 2012-07-04 12:31:24 EDT
rpmlint outputs the following error:

php-doctrine-DoctrineCommon.noarch: E: incorrect-fsf-address /usr/share/doc/pear/DoctrineCommon/LICENSE

There is only whitespace and mailing address differences.  I will work with upstream to get this fixed.  Is this a blocker until it is fixed upstream?  http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address is not clear if this is a blocker or not.
Comment 2 Shawn Iwinski 2012-07-06 21:38:28 EDT
DoctrineCommon (actually all Doctrine projects) is changing from LGPL license to MIT license in future release.

See:
* https://groups.google.com/d/topic/doctrine-dev/1TfuNPiRvks/discussion
* https://github.com/doctrine/common/commit/8b403cde97eaede30bd79acab4f18895fd5bdf27
Comment 3 Remi Collet 2012-10-29 02:50:33 EDT
Could you update to latest version 2.3.0 before I do a formal review ?
Comment 4 Shawn Iwinski 2012-11-27 20:50:37 EST
- Updated to upstream version 2.3.0
- Added "%global pear_metadir" and usage in %install
- Added php-json require
- Updated %description
- PEAR package.xml fixes in %prep
- Changed RPM_BUILD_ROOT to %{buildroot}


Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-doctrine-DoctrineCommon.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-doctrine-DoctrineCommon-2.3.0-1.fc17.src.rpm
Comment 5 Shawn Iwinski 2012-11-27 20:58:43 EST
(In reply to comment #4)

Correct changelog:
- Updated to upstream version 2.3.0
- Updated license from LGPLv2 to MIT
- Added "%global pear_metadir" and usage in %install
- Changed RPM_BUILD_ROOT to %{buildroot}
Comment 6 Remi Collet 2012-12-16 02:21:23 EST
Created attachment 664221 [details]
phpci.log

Thanks to fedora-review-phpci
Comment 7 Remi Collet 2012-12-16 02:22:03 EST
Created attachment 664222 [details]
php-doctrine-DoctrineCommon-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 837666
Comment 8 Remi Collet 2012-12-16 02:23:55 EST
Please consider dropping the Zend Server from the description. This is not an OpenSource software and it will never be available in fedora repo.


No blocker.

=== APPROVED ===
Comment 9 Shawn Iwinski 2012-12-16 02:41:38 EST
THANKS for the review!  I'll remove the Zend Server text from the description after initial import.

Where is "fedora-review-phpci"?  Seems like something you are currently developing? -- since I know I have the same version of "fedora-review".


New Package SCM Request
=======================
Package Name: php-doctrine-DoctrineCommon
Short Description: Doctrine Common PHP Extensions
Owners: siwinski
Branches: f17 f18 el6
InitialCC:
Comment 10 Gwyn Ciesla 2012-12-16 18:55:52 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-12-18 21:27:58 EST
php-doctrine-DoctrineCommon-2.3.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineCommon-2.3.0-2.el6
Comment 12 Fedora Update System 2012-12-18 21:28:10 EST
php-doctrine-DoctrineCommon-2.3.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineCommon-2.3.0-2.fc18
Comment 13 Fedora Update System 2012-12-18 21:28:20 EST
php-doctrine-DoctrineCommon-2.3.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineCommon-2.3.0-2.fc17
Comment 14 Fedora Update System 2012-12-19 13:33:10 EST
Package php-doctrine-DoctrineCommon-2.3.0-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-doctrine-DoctrineCommon-2.3.0-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13801/php-doctrine-DoctrineCommon-2.3.0-2.el6
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-12-27 22:48:35 EST
php-doctrine-DoctrineCommon-2.3.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2013-01-04 14:40:20 EST
php-doctrine-DoctrineCommon-2.3.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Fedora Update System 2013-01-11 19:47:56 EST
php-doctrine-DoctrineCommon-2.3.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.